OpenShot Audio Library | OpenShotAudio 0.4.0

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
juce::MidiMessage::VariableLengthValue Struct Reference

`#include <juce_MidiMessage.h>`

## Public Member Functions
| VariableLengthValue (int valueIn, int bytesUsedIn)
bool | isValid () const noexcept

## Public Attributes
int | value = 0
int | bytesUsed = 0

## Detailed Description

Holds information about a variable-length value which was parsed from a stream of bytes.

A valid value requires that `bytesUsed` is greater than 0.

Definition at line 887 of file juce_MidiMessage.h.

## Constructor & Destructor Documentation

## ◆ VariableLengthValue()

juce::MidiMessage::VariableLengthValue::VariableLengthValue | ( | int | valueIn,
|  | int | bytesUsedIn )
| inline

Definition at line 891 of file juce_MidiMessage.h.

## Member Function Documentation

## ◆ isValid()

bool juce::MidiMessage::VariableLengthValue::isValid | ( |  | ) | const
| inline noexcept

Definition at line 894 of file juce_MidiMessage.h.

## Member Data Documentation

## ◆ bytesUsed

int juce::MidiMessage::VariableLengthValue::bytesUsed = 0

Definition at line 897 of file juce_MidiMessage.h.

## ◆ value

int juce::MidiMessage::VariableLengthValue::value = 0

Definition at line 896 of file juce_MidiMessage.h.

The documentation for this struct was generated from the following file:

- juce_MidiMessage.h